package internal

import (
	"server/base"
	GoUtil "server/game_util"

	"server/pkg/github.com/name5566/leaf/module"
)

var (
	skeleton = base.NewSkeleton()
	ChanRPC  = skeleton.ChanRPCServer
)

type Module struct {
	*module.Skeleton
}

func (m *Module) OnInit() {
	m.Skeleton = skeleton
	var a1 = []interface{}{}
	GoUtil.CallEvent("GameModuleOnInit", a1)
}

func (m *Module) OnDestroy() {

}
